com.io7m.r2.core.shaders.types

## Class R2ShaderParametersView.Builder

- java.lang.Object
- - com.io7m.r2.core.shaders.types.R2ShaderParametersView.Builder

- Enclosing class:
    R2ShaderParametersView

      public static final class R2ShaderParametersView.Builder
      extends Object

  Builds instances of type `R2ShaderParametersView`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShaderParametersView` | `build()` Builds a new `R2ShaderParametersView`.
    `R2ShaderParametersView.Builder` | `from(R2ShaderParametersViewType instance)` Fill a builder with attribute values from the provided `R2ShaderParametersViewType` instance.
    `R2ShaderParametersView.Builder` | `setObserverMatrices(R2MatricesObserverValuesType observerMatrices)` Initializes the value for the `observerMatrices` attribute.
    `R2ShaderParametersView.Builder` | `setViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)` Initializes the value for the `viewport` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShaderParametersView.Builder from(R2ShaderParametersViewType instance)

      Fill a builder with attribute values from the provided `R2ShaderParametersViewType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setObserverMatrices

          public final R2ShaderParametersView.Builder setObserverMatrices(R2MatricesObserverValuesType observerMatrices)

      Initializes the value for the `observerMatrices` attribute.
      Parameters:
        `observerMatrices` - The value for observerMatrices
      Returns:
        `this` builder for use in a chained invocation

    - #### setViewport

          public final R2ShaderParametersView.Builder setViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport)

      Initializes the value for the `viewport` attribute.
      Parameters:
        `viewport` - The value for viewport
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShaderParametersView build()

      Builds a new `R2ShaderParametersView`.
      Returns:
        An immutable instance of R2ShaderParametersView
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com